summary refs log tree commit diff
diff options
context:
space:
mode:
authorJune McEnroe <june@causal.agency>2019-12-24 17:09:19 -0500
committerJune McEnroe <june@causal.agency>2019-12-24 17:09:19 -0500
commit3cd13ac90acc50190486c8a6e611d68016f87880 (patch)
tree3f561a3235a05aa98d02175be1fa69c8fa62ddc1
parentExport References header (diff)
downloadimbox-1.0.tar.gz
imbox-1.0.zip
Exit git-fetch-email on getopt failure 1.0
-rw-r--r--git-fetch-email.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/git-fetch-email.sh b/git-fetch-email.sh
index 0979a46..704651b 100644
--- a/git-fetch-email.sh
+++ b/git-fetch-email.sh
@@ -26,7 +26,9 @@ from=$(git config fetchemail.from)
 to=$(git config fetchemail.to)
 cc=$(git config fetchemail.cc)
 
-set -- $(getopt 'C:F:S:T:h:m:p:' $*)
+args=$(getopt 'C:F:S:T:h:m:p:' $*)
+[ $? -ne 0 ] && exit 1
+set -- $args
 for opt; do
 	shift;
 	case "$opt" in